apiVersion: v1
kind: Pod
metadata:
  name: docker-registry-pod
  namespace: "{{apps.dkregistry.namespace}}"
  labels:
    app: registry
spec:
  containers:
    - name: registry
      image: "{{apps.dkregistry.image}}"
      volumeMounts:
        - name: repo-vol
          mountPath: "/var/lib/registry"
#        - name: certs-vol
#          mountPath: "/certs"
#          readOnly: true
        - name: auth-vol
          mountPath: "/auth"
          readOnly: true
      env:
        - name: REGISTRY_AUTH
          value: "htpasswd"
        - name: REGISTRY_AUTH_HTPASSWD_REALM
          value: "Registry Realm"
        - name: REGISTRY_AUTH_HTPASSWD_PATH
          value: "/auth/htpasswd"
#        - name: REGISTRY_HTTP_TLS_CERTIFICATE
#          value: "/certs/tls.crt"
#        - name: REGISTRY_HTTP_TLS_KEY
#          value: "/certs/tls.key"
  volumes:
    - name: repo-vol
      persistentVolumeClaim:
        claimName: data-dkregistry-0
#    - name: certs-vol
#      secret:
#        secretName: default/xai-corp-production-tls
    - name: auth-vol
      persistentVolumeClaim:
        claimName: data-dkregistry-auth-0
